#!/bin/bash -eux

VARSFILE=$1

. src/$VARSFILE


echo "FROM extbuilder-$EXTPYTHON_DIST" > Dockerfile.temp
echo "RUN apt-get update && \\" >> Dockerfile.temp
echo "    DEBIAN_FRONTEND=noninteractive apt-get install -y -o Dpkg::Options::=\"--force-confdef\" -o Dpkg::Options::=\"--force-confold\" $CPYTHON_DEPS" >> Dockerfile.temp

# build image with just the deps
docker build -t extbuilder-${EXTPYTHON_DIST}-deps -f Dockerfile.temp .
rm -f Dockerfile.temp

time docker run -it --rm -e "VARSFILE=$VARSFILE" -v $PWD/src:/src extbuilder-${EXTPYTHON_DIST}-deps
